Get Health History

Get Health History

Use this endpoint to get all storage connectivity health
Authorized Roles : PROVIDER

Request
URI
GET
https://{api_host}/provider/nodes/{id}/healthHistory
COPY
Path Parameters
string
id
Required

ID of the node

Query Parameters
string
alertType
Required

Type of the storage

Possible values are : PROVIDERREPO, PROVIDER_LOG_REPO, PROVIDER_DB_BACKUP_REPO, TANZU_NET,
pageable
Required

pageable


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns PageProviderEnvRuntimeInfoDTO of type(s) application/vnd.vmware.dms-v1+json
{
    "totalPages": 0,
    "totalElements": 0,
    "sort": {
        "sorted": false,
        "unsorted": false,
        "empty": false
    },
    "pageable": {
        "page": 0,
        "size": 0,
        "sort": [
            "string"
        ]
    },
    "numberOfElements": 0,
    "first": false,
    "last": false,
    "size": 0,
    "content": [
        {
            "alertType": "string",
            "alertStatus": "string",
            "alertTime": "string"
        }
    ],
    "number": 0,
    "empty": false
}
integer As int32 As int32
totalPages
Optional

totalPages

integer As int64 As int64
totalElements
Optional

totalElements

sort
Optional

sort

pageable
Optional

pageable

integer As int32 As int32
numberOfElements
Optional

numberOfElements

boolean
first
Optional

first

boolean
last
Optional

last

integer As int32 As int32
size
Optional

size

content
Optional

content

integer As int32 As int32
number
Optional

number

boolean
empty
Optional

empty


400

Bad Request

Operation doesn't return any data structure